<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="2dp"
    android:layout_marginRight="2dp"
    android:gravity="center"
    android:orientation="vertical"
    app:cardBackgroundColor="@color/material_white"
    app:cardElevation="3dp"
    app:cardUseCompatPadding="true"
    app:contentPadding="2dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="85dp"
        android:layout_gravity="center"
        android:gravity="center"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="70dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">


            <com.github.siyamed.shapeimageview.CircularImageView
                android:id="@+id/image"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:background="@drawable/custom_circle_blue"
                android:contentDescription="@string/app_name"
                android:scaleType="fitCenter"
                android:src="@mipmap/assessmenttype_1" />

            <TextView
                android:id="@+id/assessment_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:gravity="center"
                android:maxLines="1"
                android:text="Certification"
                android:textSize="@dimen/textSizeToSmall"
                android:singleLine="true"
                android:textColor="@color/material_black" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:layout_gravity="center"
            android:gravity="center"
            android:paddingLeft="@dimen/seekbarsize_small"
            android:paddingRight="@dimen/seekbarsize_small"
            android:orientation="vertical">


            <TextView
                android:id="@+id/assessment_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center|left"
                android:ellipsize="marquee"
                android:scrollHorizontally="true"
                android:singleLine="true"
                android:marqueeRepeatLimit="marquee_forever"
                android:textStyle="bold"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeSmall" />
            <TextView
                android:layout_width="@dimen/buttonHeightLarge"
                android:layout_height="2dp"
                android:gravity="left"
                android:layout_gravity="left"
                android:background="@color/btn_bg_color"/>

            <TextView
                android:id="@+id/publishedDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="left"
                android:maxLines="1"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:singleLine="true"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />

            <TextView
                android:id="@+id/completedDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="left"
                android:maxLines="1"
                android:singleLine="true"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/scoreLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/material_green800"
                android:gravity="center"
                android:orientation="vertical"
                android:padding="@dimen/seekbarsize_small">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="Score"
                    android:textColor="@color/material_white"
                    android:textSize="@dimen/textSizeSmall" />

                <TextView
                    android:id="@+id/score"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:text="80"
                    android:textColor="@color/material_white"
                    android:textSize="@dimen/textSize"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginLeft="@dimen/seekbarsize_small"
                    android:layout_marginRight="@dimen/seekbarsize_small"
                    android:background="@color/material_white" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:text="100"
                    android:textColor="@color/material_white"
                    android:textSize="@dimen/textSize"
                    android:textStyle="bold" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>


</androidx.cardview.widget.CardView>
